%global meadalpha %{nil}
%global meadrel %{nil}
%global version_major 9
%global version_minor 2
%global version_micro 0
%global serial 3
%global commitid RHDG_9.2.0.ER1-00022

Name:     jdg-cpp-client
Version:  %{version_major}.%{version_minor}.%{version_micro}
Release:  %{serial}%{?dist}

Summary:        JBoss Data Grid HotRod C++ client
Group:          System Environment/Libraries
License:        ASL 2.0
URL:            https://www.redhat.com/en/technologies/jboss-middleware/data-grid
Source0:        cpp-client-%{commitid}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: valgrind
BuildRequires: java-1.8.0-openjdk-devel swig
%if 0%{?rhel} == 9
BuildRequires: gcc-c++ krb5-devel
%endif
BuildRequires: openssl-devel
BuildRequires: protobuf-devel
BuildRequires: cyrus-sasl-devel cyrus-sasl-plain cyrus-sasl-md5 cyrus-sasl-gssapi

Requires: openssl-devel
Requires: protobuf-devel
Requires: cyrus-sasl-devel cyrus-sasl-plain cyrus-sasl-md5 cyrus-sasl-gssapi
ExcludeArch: aarch64 ppc64le s390x

%description
JBoss Data Grid HotRod C++ client

%define _unpackaged_files_terminate_build 0

%files
%defattr(-,root,root,-)

%_includedir/infinispan
%_libdir/libhotrod.so
%_libdir/libhotrod.so.*
%_libdir/libhotrod_protobuf.a
%_docdir/infinispan-hotrod-cpp

%package tests
Summary: JBoss Data Grid C++ client test files

Requires: jdg-cpp-client = %{version}-%{release}

%description tests
JBoss Data Grid C++ client test files

%files tests
%defattr(-,root,root,-)
#%_datadir/tests/*
#%_datadir/tests/simple*
#%_prefix/jni/hotrod-jni.jar
#%_prefix/jni/libhotrod-jni.so
#%if 0%{?rhel} == 7
#%_datadir/tests/*
#%endif

%prep
%setup -q -n cpp-client-%{commitid}

%build

%ifarch i386
export CXXFLAGS="-march=i686"
%endif

env
mkdir _rpmbuild
pushd _rpmbuild
%if 0%{?rhel} == 6
%cmake  -DCMAKE_BUILD_TYPE=RelWithDebInfo ../rhel6
cmake --build . --target build_dist
%else # building rhel 7 and 8 from the same source 
g++ --version
cmake  -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=/usr -DSHARE_INSTALL_PREFIX=share ../rhel
cmake --build . --target build_dist
cmake --build . --target build_native_test
%endif
popd

%install
rm -rf %{buildroot}
pushd _rpmbuild
%make_install
popd

%clean
rm -rf %{buildroot}

%check
# TODO

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
